Loading...
Searching...
No Matches
Dune::SeqOverlappingSchwarzAssemblerHelper< ILU0SubdomainSolver< M, X, Y >, false > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners

`#include <dune/istl/overlappingschwarz.hh>`

Inheritance diagram for Dune::SeqOverlappingSchwarzAssemblerHelper< ILU0SubdomainSolver< M, X, Y >, false >:

## Public Types

typedef M | matrix_type

## Static Public Member Functions

template<class RowToDomain, class Solvers, class SubDomains>
static std::size_t | assembleLocalProblems (const RowToDomain &rowToDomain, const matrix_type &mat, Solvers &solvers, const SubDomains &domains, bool onTheFly)

## Member Typedef Documentation

## matrix_type

template<class M, class X, class Y>

typedef M Dune::SeqOverlappingSchwarzAssemblerILUBase< M, X, Y >::matrix_type

inherited

The documentation for this struct was generated from the following file:

- overlappingschwarz.hh